Subject: Re: [Bitcoin-development] ECDH in the payment protocol

From: Peter Todd <[email-masked]>
Date: Fri, 9 May 2014 11:43:13 -0400

On Fri, May 09, 2014 at 05:34:07PM +0200, Mike Hearn wrote:
> >
> > Ah, you're still misunderstanding my point: You can get atomicity in the
> > worst-case where the communications medium fails *and* stealth payments
> > that use up no extra space in the blockchain. This gives you the best of
> > both worlds.
> 
> 
> Sounds great! How does a lightweight client identify such transactions
> without any markers?

The exact same way you're proposing: via the payment protocol.

If something goes wrong and a payment gets lost, that's where you
implement a last-ditch "scan for stealth payments" button or similar
that either just asks a semi-trusted server to scan the blockchain for
you, or accepts the bandwidth hit and does so itself. (note that the
scan pubkey used to find payments is unable to spend those payments)

-- 
'peter'[:-1]@petertodd.org
000000000000000074d6fdc4442dae1b7273f77f2deec988daf63d3e1ec6eeea